
package clustering;

import org.apache.commons.collections15.Transformer;

public class SeedTransformer<V> implements Transformer{

    private V seed;

    public SeedTransformer(V vertexSeed) {
        this.seed = vertexSeed;
    }

    public Object transform(Object vertex) {
        if (seed.equals(vertex))
            return 1.0;
        else
            return 0.0;

    }

}
